/**
* Copyright (C) 2005 - Bull S.A.
*
* Jimys - J2EE is monitoring your system
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*
* --------------------------------------------------------------------------
* $Id: CartographyMBean.java,v 1.2 2005/09/15 14:22:14 goebelg Exp $
* --------------------------------------------------------------------------
*/
package org.objectweb.jimys.monitoredSystem.probe.cartography;

import org.objectweb.jimys.monitoredSystem.probe.Common;

import javax.xml.transform.TransformerException;

/**
* Cartography
* @author Georges Goebel, Marc Calvisi
*/
public interface CartographyMBean extends Common{
    /**
     * The data collected by the cartography probe
     * The String is an xml output
     * @return The collected data (in xml format)
     * @throws TransformerException
     */
    public String getData () throws TransformerException;
}
