#!/bin/bash

# Copyright (C) 2005 - Bull S.A.
#
# Jimys - J2EE is monitoring your system
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
# USA
#
# --------------------------------------------------------------------------
# $Id: startProbes.sh,v 1.5 2005/09/15 14:58:09 goebelg Exp $
# --------------------------------------------------------------------------
#


# Jimys run script

# -----------------------------------------------------------------------
# Check if JAVA_HOME is set
# -----------------------------------------------------------------------
if [ ! -n $JAVA_HOME ]
then
    echo "You must set JAVA_HOME environment variable"
    exit
fi

export JAVA_OPTS="-Djava.util.logging.config.file=$PWD/conf/logging.properties -Djmx.remote.x.buffer.size=10"
#export JAVA_OPTS=-Djava.util.logging.config.file=$PWD/conf/logging.properties

# export JAVA_ARGS=$PWD/conf/monitorHardware.properties
# export JAVA_ARGS=$PWD/conf/monitorJonas.properties
# export JAVA_ARGS=$PWD/conf/monitor.properties
export JAVA_ARGS=$PWD/conf/monitorJonasHardware.properties

# Use this one if you have stored the mlet file on the local file system
#export JAVA_ARGS=$PWD/conf/monitorLocal.properties

export MAIN=org.objectweb.jimys.monitoredSystem.start.StartMonitorWithConfigFile

export CLASSPATH=$PWD/libMini/mx4j-jmx.jar:$PWD/libMini/mx4j-remote.jar:$PWD/libMini/mx4j.jar:$PWD/libMini/mx4j-tools.jar:$PWD/libMini/xercesImpl.jar:$PWD/libMini/xml-apis.jar:$PWD/libMini/xalan.jar:$PWD/libMini/serializer.jar:$PWD/dist/BootJimys.jar

echo "Starting the probes ..."

$JAVA_HOME/bin/java $JAVA_OPTS $MAIN $JAVA_ARGS
